import React, { useState, useEffect } from 'react';
import { View, Button, navigateTo } from '@ray-js/ray';
import { useProps, useStructuredProps } from '@ray-js/panel-sdk';
import PerfText from '@ray-js/components-ty-perf-text';
import Slider from '@ray-js/components-ty-slider';

import styles from './index.module.less';

export function Home() {
  const work_mode = useProps(props => props.work_mode);
  const bright_value = useStructuredProps(props => props.bright_value);

  useEffect(() => {
    console.log('Home work_mode', work_mode);
  }, [work_mode]);

  useEffect(() => {
    console.log('Home bright_value', bright_value);
  }, [bright_value]);

  return (
    <View className={styles.view}>
      <Button
        onClick={() => {
          navigateTo({
            url: '/pages/Demo1/index',
          });
        }}
      >
        Go to Demo1
      </Button>
      <Button
        onClick={() => {
          navigateTo({
            url: '/pages/Demo2/index',
          });
        }}
      >
        Go to Demo2
      </Button>

      <View>
        <View style={{ marginBottom: 48 }}>
          数值展示：
          <PerfText eventName="sliderMove" />%
        </View>
        <Slider value={50} moveEventName="sliderMove" />
      </View>
    </View>
  );
}

export default Home;
