import { getSystemInfoSync } from "@ray-js/ray";

const system = getSystemInfoSync()
const width = system.screenWidth

/**
 * rpx to px
 * @param {number}  rpx number
 * @returns {number} px
 */
export const rpxToPx = (rpx: number): number => {
  return (width / 750) * rpx;
}

/**
 * px to rpx
 * @param {number} px number
 * @returns {number} rpx
 */
export const pxToRpx = (px: number): number => {
  return px / width / 750
}

